# PHYTEC localversion extension for all repositories
#
# Copyright (C) 2018 PHYTEC America, LLC

def phytec_git_revision(p):
    import subprocess

    try:
        return subprocess.Popen("git rev-parse --verify --short=7 HEAD 2>/dev/null ", cwd=p, shell=True, stdout=subprocess.PIPE, universal_newlines=True).communicate()[0].rstrip()
    except OSError:
        return None

def phytec_git_release_tag(p):
    import subprocess

    try:
        return subprocess.Popen("git describe --dirty --tags --abbrev=0 --match \"*${BSP_BASE_VER}*\" 2>/dev/null ", cwd=p, shell=True, stdout=subprocess.PIPE, universal_newlines=True).communicate()[0].rstrip()
    except OSError:
        return None
