inherit image_types_fsl_phytec

#
# In addition to copying over all dtbs, rename the first dtb in KERNEL_DEVICETREE to "oftree".
# This allows for u-boot to load a generic dtb when booting Linux.
#
_generate_boot_image_append() {
	if test -n "${KERNEL_DEVICETREE}"; then
		DEVICETREE_DEFAULT=`echo ${KERNEL_DEVICETREE} | sed 's/ .*//'`
		mcopy -i ${WORKDIR}/boot.img -s ${DEPLOY_DIR_IMAGE}/${KERNEL_IMAGETYPE}-${DEVICETREE_DEFAULT} ::oftree
	fi
}
