# Common settings for PHYTEC phyCORE-i.MX7

require conf/machine/include/imx-base.inc
require conf/machine/include/tune-cortexa7.inc

MACHINEOVERRIDES =. "mx7:mx7d:"

PREFERRED_PROVIDER_u-boot_${MACHINE} = "u-boot-phytec"
PREFERRED_PROVIDER_virtual/bootloader_${MACHINE} = "u-boot-phytec"
PREFERRED_PROVIDER_virtual/kernel_${MACHINE} = "linux-phytec-fsl"

IMAGE_CLASSES_remove = "image_types_fsl"
IMAGE_CLASSES += "image_types_fsl_oftree"

XSERVER += "mesa-driver-swrast"

IMAGE_INSTALL_append = " nodejs python-pip"

MACHINE_FIRMWARE_remove_mx7d = "linux-firmware-imx-sdma-imx7d"
