SUMMARY = "Python code to use the PCA9685 PWM servo/LED controller with a Raspberry Pi"
HOMEPAGE = "https://github.com/adafruit/Adafruit_Python_PCA9685"
SECTION = "devel/python"
LICENSE = "MIT"
LIC_FILES_CHKSUM = "file://LICENSE;md5=88249dac6ef92678a584c6bb77fdfff8"

SRC_URI = "git://github.com/adafruit/Adafruit_Python_PCA9685;protocol=https;branch=master \
	"

SRCREV = "f86db2ca5de379748afd71e379ce2155f47d21e7"

FILES_${PN} = "${datadir}/phytec-rpihat-examples/servo-hat"

do_install_append() {
	install -d ${D}${datadir}/phytec-rpihat-examples/servo-hat
	install -m 0744 ${S}/examples/*.py ${D}${datadir}/phytec-rpihat-examples/servo-hat
}

S = "${WORKDIR}/git/"

RDEPENDS_${PN} += "python-adafruit-gpio"

inherit setuptools
