SUMMARY = "Python module to control the Pimoroni Skywriter HAT"
HOMEPAGE = "https://github.com/pimoroni/skywriter-hat"
SECTION = "devel/python"
LICENSE = "MIT"
LIC_FILES_CHKSUM = "file://../LICENSE;md5=1be647ba1f2b40ff716e997a3e4a0d47"

SRC_URI = "git://github.com/pimoroni/skywriter-hat.git;protocol=https;branch=master \
		file://0001-Remove-RPI-revision-check-default-to-i2c-bus-0.patch;patchdir=.. \
		"

SRCREV = "0c149767ffa6e8c68dec2a46d9ae714407b34c83"

FILES_${PN} = "${datadir}/phytec-rpihat-examples/skywriter-hat"

S = "${WORKDIR}/git/library/"
EXAMPLES_DIR = "${WORKDIR}/git/examples"

do_install_append() {
	install -d ${D}${datadir}/phytec-rpihat-examples/skywriter-hat
	install -m 0744 ${EXAMPLES_DIR}/test.py ${D}${datadir}/phytec-rpihat-examples/skywriter-hat
}

RDEPENDS_${PN} += " \
	python-phytec-rpi-gpio \
	python-smbus \
	"

inherit setuptools
