DESCRIPTION = "Python library for controlling Pimoroni Unicorn HD HAT"
HOMEPAGE = "https://github.com/pimoroni/unicorn-hat-hd"
SECTION = "devel/python"
LICENSE = "MIT"
LIC_FILES_CHKSUM = "file://../LICENSE;md5=53b40a36fa486fcc47ef2739f9cf6950"

SRC_URI = "git://github.com/pimoroni/unicorn-hat-hd.git;protocol=http;branch=master \
		file://0001-library-unicornhathd-set-SPI-bus-to-2.patch;patchdir=.. \
		"
SRCREV = "8e3f775da2bbe8e8698ee2b61dca5e4b84e5c486"

S = "${WORKDIR}/git/library/"

FILES_${PN} += "${datadir}/phytec-rpihat-examples/unicorn-hd-hat/"

do_install_append() {
	install -d ${D}${datadir}/phytec-rpihat-examples/unicorn-hd-hat/weather-icons/icons
	install -m 0744 ${WORKDIR}/git/examples/*.py ${D}${datadir}/phytec-rpihat-examples/unicorn-hd-hat
	install -m 0644 ${WORKDIR}/git/examples/lofi.png ${D}${datadir}/phytec-rpihat-examples/unicorn-hd-hat
	install -m 0744 ${WORKDIR}/git/examples/weather-icons/*.py ${D}${datadir}/phytec-rpihat-examples/unicorn-hd-hat/weather-icons
	install -m 0644 ${WORKDIR}/git/examples/weather-icons/LICENSE ${D}${datadir}/phytec-rpihat-examples/unicorn-hd-hat/weather-icons
	install -m 0644 ${WORKDIR}/git/examples/weather-icons/README.md ${D}${datadir}/phytec-rpihat-examples/unicorn-hd-hat/weather-icons
	install -m 0644 ${WORKDIR}/git/examples/weather-icons/icons/* ${D}${datadir}/phytec-rpihat-examples/unicorn-hd-hat/weather-icons/icons
}

inherit setuptools
