DESCRIPTION = "Library to provide a cross-platform GPIO interface on the Raspberry Pi using RPi.GPIO for Adafruit products"
HOMEPAGE = "https://github.com/adafruit/Adafruit_Python_GPIO"
SECTION = "devel/python"
LICENSE = "MIT"
LIC_FILES_CHKSUM = "file://LICENSE;md5=bda1c9cc018bbe5da02d845724b71d55"

SRC_URI = "git://github.com/adafruit/Adafruit_Python_GPIO.git;protocol=https;branch=master \
		file://0001-Platform.py-change-Beaglebone-default-I2C-bus-to-0.patch \
		"

RDEPENDS_${PN} += "python-phytec-rpi-gpio python-adafruit-pureio python-spidev"

S = "${WORKDIR}/git"

SRCREV = "c543d1df9c0a71bafb9f0a1f9dceecd79a920e74"

inherit setuptools
