DESCRIPTION = "PHYTEC RPi.GPIO is a library for controlling GPIOs on PHYTEC PEB-D-RPI expansion boards"
HOMEPAGE = "https://www.phytec.com"
SECTION = "devel/python"
LICENSE = "MIT"
LIC_FILES_CHKSUM = "file://LICENSE;md5=955ad84de6f458b4a4b0371a51aabac4"

RELEASE_BRANCH = "master"

# Set to AUTOREV for development purposes
#SRCREV = "${AUTOREV}"
SRCREV = "a964339b6351541d3ac73e5213ad46ef9a7da1e2"

RPIGPIO_GIT_URI = "git://git@stash.phytec.com/scm/pub/phytec-rpi-gpio.git"
RPIGPIO_GIT_PROTOCOL = "https"

SRC_URI = "${RPIGPIO_GIT_URI};protocol=${RPIGPIO_GIT_PROTOCOL};branch=${RELEASE_BRANCH}"

DEPENDS = "libgpiod"

S = "${WORKDIR}/git"

inherit setuptools
