require conf/machine/include/k3.inc

MACHINE_FEATURES += " bluetooth touchscreen wifi"

IMAGE_FSTYPES += "ext4 tar.xz"

SERIAL_CONSOLE = "115200 ttyS3"

PREFERRED_PROVIDER_virtual/kernel_${MACHINE} = "linux-phytec-ti"

PREFERRED_PROVIDER_virtual/bootloader_${MACHINE} = "u-boot-phytec"
PREFERRED_PROVIDER_u-boot_${MACHINE} = "u-boot-phytec"

CREATE_SRCIPK_pn-linux-phytec-ti = "1"
CREATE_SRCIPK_pn-u-boot-phytec = "1"

UBOOT_MACHINE = "am65xx_phycore_kit_a53_defconfig"

OPTEEMACHINE = "k3"
OPTEEFLAVOR = "am65x"
OPTEEOUTPUTMACHINE = "k3"

# Set the list of device targets for ti-pdk class recipes
TI_PDK_LIMIT_SOCS = "am65xx"
TI_PDK_LIMIT_BOARDS = "am65xx_evm am65xx_idk"
TI_PDK_LIMIT_CORES = "mcu1_0 mpu1_0"

PACKAGECONFIG_append_pn-u-boot-phytec_k3 = " optee"

EXTRA_IMAGEDEPENDS_remove_k3 = "u-boot-k3-r5"
EXTRA_IMAGEDEPENDS_append_k3 = " u-boot-phytec-k3-r5"

# Set this to the platform identifier used in BSP version for localversion
BSP_BASE_VER = "AM65xx"

# AM65xx SOM WiFi/BT (Laird Sterling-LWB) support
LWB_COMPLIANCE = "fcc"
IMAGE_INSTALL_append = " \
			 kernel-module-laird-backports \
			 brcm-patchram-plus \
			 wpa-supplicant \
			 "
