# PHYTEC DTB overlays build and install extension
#
# Copyright (C) 2018 PHYTEC America, LLC

FILES_kernel-devicetree-overlays += "${base_libdir}/firmware/*"

python __anonymous () {
	d.appendVar("PACKAGES", " kernel-devicetree-overlays")
}

OVERLAY_PATH="arch/${ARCH}/boot/dts/overlays"

do_compile_append () {
	if [ -d ${S}/${OVERLAY_PATH} ]; then
		oe_runmake dtbs_overlays
	fi
}

do_install_append () {
	if [ -d ${B}/${OVERLAY_PATH} ]; then
		install -d ${D}${base_libdir}/firmware
		install -m 0444 ${B}/${OVERLAY_PATH}/*.dtb ${D}${base_libdir}/firmware
	fi
}
