# Settings for AWS Greengrass software package

IMAGE_INSTALL_append = " greengrass git gcc wget"
IMAGE_INSTALL_append = " python-dev python-distribute python-setuptools"
IMAGE_INSTALL_append = " nodejs openjdk-8"

# AWS IoT SDKs not yet supported
# IMAGE_INSTALL_append = " python-aws-iot-device-sdk-python"

# For Java compilation

# Possible provider: cacao-initial-native and jamvm-initial-native
PREFERRED_PROVIDER_virtual/java-initial-native = "cacao-initial-native"

# Possible provider: cacao-native and jamvm-native
PREFERRED_PROVIDER_virtual/java-native = "jamvm-native"

# Optional since there is only one provider for now
PREFERRED_PROVIDER_virtual/javac-native = "ecj-bootstrap-native"

PREFERRED_VERSION_nodejs = "6.10.3"

