SUMMARY = "Python library for interfacing with the Adafruit Motor HAT for Raspberry Pi to control DC motors and Stepper motors"
HOMEPAGE = "https://github.com/adafruit/Adafruit-Motor-HAT-Python-Library"
SECTION = "devel/python"
LICENSE = "MIT"
LIC_FILES_CHKSUM = "file://README.md;md5=0d24bf8b0e652705344412e037441546"

SRC_URI = "git://github.com/adafruit/Adafruit-Motor-HAT-Python-Library.git;protocol=https;branch=master \
	"

SRCREV = "f9e7c2592c5c720207b4e5040eb28e1628b48f49"

FILES_${PN} = "${datadir}/phytec-rpihat-examples/motor-hat"

do_install_append() {
	install -d ${D}${datadir}/phytec-rpihat-examples/motor-hat
	install -m 0744 ${S}/examples/*.py ${D}${datadir}/phytec-rpihat-examples/motor-hat
}

S = "${WORKDIR}/git/"

RDEPENDS_${PN} += "python-adafruit-gpio"

inherit setuptools
