SUMMARY = "Python library for interfacing with a MPR121 capacitive touch sensor on the Raspberry Pi"
HOMEPAGE = "https://github.com/adafruit/Adafruit_Python_MPR121"
SECTION = "devel/python"
LICENSE = "MIT"
LIC_FILES_CHKSUM = "file://LICENSE;md5=03361bdfc859db9cf4cf5e9215df2f83"

SRC_URI = "git://github.com/adafruit/Adafruit_Python_MPR121;protocol=https;branch=master \
	"

SRCREV = "301e4f99633215f1d7c0a968cbf35f3c17cd250b"

FILES_${PN} = "${datadir}/phytec-rpihat-examples/capacitive-touch-hat"

do_install_append() {
	install -d ${D}${datadir}/phytec-rpihat-examples/capacitive-touch-hat
	install -m 0744 ${S}/examples/playtest.py ${D}${datadir}/phytec-rpihat-examples/capacitive-touch-hat
	install -m 0744 ${S}/examples/simpletest.py ${D}${datadir}/phytec-rpihat-examples/capacitive-touch-hat
}

S = "${WORKDIR}/git/"

RDEPENDS_${PN} += "python-adafruit-gpio"

inherit setuptools
