SUMMARY = "Python examples for the Anavi/RabbitMax Flex HAT"
HOMEPAGE = "https://github.com/AnaviTechnology/anavi-examples"
SECTION = "devel/python"
LICENSE = "MIT"
LIC_FILES_CHKSUM = "file://../LICENSE;md5=f8c63238785e7e0ca110b323ac0e4481"

SRC_URI = "git://github.com/AnaviTechnology/anavi-examples.git;protocol=https;branch=master \
		"

SRCREV = "ad8b01f58e8b122a06f28a88f0d55d0019b2dee7"

FILES_${PN} = "${datadir}/phytec-rpihat-examples/flex-hat"

S = "${WORKDIR}/git/flex/"

do_install_append() {
	install -d ${D}${datadir}/phytec-rpihat-examples/flex-hat
	install -m 0744 ${S}/button/python/button.py ${D}${datadir}/phytec-rpihat-examples/flex-hat
	install -m 0744 ${S}/buzzer/python/beep.py ${D}${datadir}/phytec-rpihat-examples/flex-hat
	install -m 0744 ${S}/lcd/python/lcd.py ${D}${datadir}/phytec-rpihat-examples/flex-hat
	install -m 0744 ${S}/relay/python/relay.py ${D}${datadir}/phytec-rpihat-examples/flex-hat
	install -m 0744 ${S}/rgb-led/python/rgb-led.py ${D}${datadir}/phytec-rpihat-examples/flex-hat
}

RDEPENDS_${PN} += " \
	python-phytec-rpi-gpio \
	"
