require conf/machine/include/dra7xx.inc

MULTIMEDIA_remove = "chromium-wayland"

IMAGE_INSTALL_append = " e2fsprogs-resize2fs phytec-eeprom-flashtool"

IMAGE_FSTYPES += "ext4 tar.gz tar.xz"

SERIAL_CONSOLE = ""
SERIAL_CONSOLES = "115200;ttyS2 115200;ttyO2"
SERIAL_CONSOLES_CHECK = "${SERIAL_CONSOLES}"

PREFERRED_PROVIDER_virtual/kernel_${MACHINE} = "linux-phytec-ti"

PREFERRED_PROVIDER_virtual/bootloader_${MACHINE} = "u-boot-phytec"
PREFERRED_PROVIDER_u-boot_${MACHINE} = "u-boot-phytec"

# Last entry in UBOOT_CONFIG are symlinked to the default MLO and u-boot.img
UBOOT_CONFIG ??= "am572x_phycore_rdk_256M16_x2 am572x_phycore_rdk_256M16_x4 am572x_phycore_rdk_512M16_x4 am572x_phycore_rdk_nand am571x_phycore_rdk_256M16_x2 am57xx_phycore_rdk"

UBOOT_CONFIG[am57xx_phycore_rdk] = "am57xx_phycore_rdk_config"
UBOOT_CONFIG[am572x_phycore_rdk_nand] = " am572x_phycore_rdk_nand_config"
UBOOT_CONFIG[am572x_phycore_rdk_256M16_x2] = " am572x_phycore_rdk_256M16_x2_config"
UBOOT_CONFIG[am572x_phycore_rdk_256M16_x4] = " am572x_phycore_rdk_256M16_x4_config"
UBOOT_CONFIG[am572x_phycore_rdk_512M16_x4] = " am572x_phycore_rdk_512M16_x4_config"
UBOOT_CONFIG[am571x_phycore_rdk_256M16_x2] = " am571x_phycore_rdk_256M16_x2_config"

CREATE_SRCIPK_pn-linux-phytec-ti = "1"
CREATE_SRCIPK_pn-u-boot-phytec = "1"

# Set this to the platform identifier used in BSP version for localversion
BSP_BASE_VER = "AM57xx"
