require recipes-bsp/u-boot/u-boot-phytec.inc

# u-boot needs devtree compiler to parse dts files
DEPENDS += "dtc-native"

DESCRIPTION = "u-boot bootloader for PHYTEC AM572x devices, based on TI's ti-u-boot"
LIC_FILES_CHKSUM = "file://Licenses/README;md5=a2c678cfd4a4d97135585cad908541c6"

PR = "r3"

UBOOT_GIT_URI = "git://git@stash.phytec.com/scm/pub/uboot-phytec.git"
UBOOT_GIT_PROTOCOL = "https"

# RELEASE_% information is valid for the following BSP releases:
#     BSP-Yocto-TISDK-AM572x-PD17.1.1
RELEASE_BRANCH = "v2016.05-phy"
RELEASE_VER = "v2016.05-phy3"

PV_append = "+git_${RELEASE_VER}"
SRC_URI	= "${UBOOT_GIT_URI};protocol=${UBOOT_GIT_PROTOCOL};branch=${RELEASE_BRANCH};tag=${RELEASE_VER}"

# Set to AUTOREV for development purposes
#SRCREV = "${AUTOREV}"

SPL_BINARY = "MLO"
SPL_UART_BINARY = "u-boot-spl.bin"
