require recipes-core/images/arago-image.inc

SUMMARY = "PHYTEC TISDK-based image"
DESCRIPTION = "TISDK-based Image with Graphics and DSP support without demos"
LICENSE = "MIT"

COMPATIBLE_MACHINE = "am5716|am5726|am5728"

TISDK_TOOLCHAIN = "meta-toolchain-arago-tisdk"
TOOLCHAIN_SUFFIX = "-tisdk"

IMAGE_INSTALL_append = " \
	packagegroup-arago-base \
	packagegroup-arago-base-tisdk \
	packagegroup-arago-console \
	packagegroup-arago-gst \
	packagegroup-arago-test \
	packagegroup-arago-tisdk-addons-phycore \
	packagegroup-arago-tisdk-connectivity \
	packagegroup-arago-tisdk-crypto \
	packagegroup-arago-tisdk-graphics \
	packagegroup-arago-tisdk-opencl-phycore \
	"

export IMAGE_BASENAME = "phytec-tisdk-image"
